Package twisted :: Package protocols :: Module irc :: Class IRC

[show private | hide private]
[frames | no frames]

## Class IRC

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      IRC

Known Subclasses:
  `IRCUserInterface`, `IRCChatter`

Internet Relay Chat server protocol.

Method Summary
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` This hack is to support mIRC, which sends LF only, even though the RFC says CRLF.
| ``handleCommand`(self, command, prefix, params)` Determine the function to call for the given command and call it with the given arguments.
| ``irc_unknown`(self, prefix, command, params)` Implement me!
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| `sendLine(self, line)`
| ``sendMessage`(self, command, *parameter_list, **prefix)` Send a line formatted as an IRC message.

Class Variable Summary
`str` | `buffer`

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### dataReceived(self, data)

This hack is to support mIRC, which sends LF only, even though the RFC says CRLF. (Also, the flexibility of LineReceiver to turn "line mode" on and off was not required.)

### handleCommand(self, command, prefix, params)

Determine the function to call for the given command and call it with the given arguments.

### irc_unknown(self, prefix, command, params)

Implement me!

### sendMessage(self, command, *parameter_list, **prefix)

Send a line formatted as an IRC message.

First argument is the command, all subsequent arguments are parameters to that command. If a prefix is desired, it may be specified with the keyword argument 'prefix'.

Class Variable Details

### buffer

  Type:
    `str`
  Value:

        ''

Generated by Epydoc 1.1 on Thu May 8 13:18:50 2003 | http://epydoc.sf.net